Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 4632

Summary: Linux x86 run-time ELF loader does not handle Solarix/x86 binaries gracefully
Product: [Retired] Red Hat Linux Reporter: schorr
Component: glibcAssignee: Cristian Gafton <gafton>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 6.0CC: fweimer, schorr
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-08-24 00:52:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description schorr 1999-08-20 20:22:20 UTC
In a routine search for shared library dependencies, I
ended up running the Red Hat 6.0 ldd command (from glibc
2.1.1) on an x86 box against a lot of NFS-mounted
Solaris/x86 2.5.1 binaries.  Instead of quitting gracefully
with an error indicating that it cannot find one or more
of the shared libraries, it seems to fail in one of two
ways.  Most often, I get this error:

/usr/bin/ldd: <filename>: No such file or directory

In this case, the <filename> displayed is the name of
the (clearly existing) Solaris/x86 program.  No doubt,
there is some other file that it cannot find.  If so,
it should display what it is that it cannot find.

In a minority of cases, I get an error message that looks
like this:

BUG IN DYNAMIC LINKER ld.so: dynamic-link.h: 57:
elf_get_dynamic_info: Assertion
 `! "bad dynamic tag"' failed!
ldd: /lib/ld-linux.so.2 exited with unknown exit code (127)

Thanks,
Andy

Comment 1 Cristian Gafton 1999-08-24 00:52:59 UTC
Use objdump if you want to poke at those binaries. ldd must load the
bianry in memory and resolve dynamically the symbol dependencies. And
Linux can not load Solaris x86 binaries.

The file not found message referrs to the dynamic loader that the
solaris binaries require and which is not present in Linux.

Comment 2 openshift-github-bot 2015-10-01 02:38:14 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/0a2b19cd46371cbb120d95046ee0d5933011172d
Issue 4632 - remove 'Project' from the project overview header